Index: example/io/batch-readv.c
===================================================================
--- example/io/batch-readv.c	(revision e54d0c3b39cf17fa942d08e6d8a947f001db48d9)
+++ example/io/batch-readv.c	(revision 4aa495f3317335b1f6b22d4b6d99c667e394b18e)
@@ -66,5 +66,5 @@
 }
 
-uint64_t getTimeNsec() {
+uint64_t timeHiRes() {
 	timespec curr;
 	clock_gettime( CLOCK_REALTIME, &curr );
@@ -163,10 +163,10 @@
 
 	printf("Running for %f second, reading %d bytes in batches of %d\n", duration, buflen, batch);
-	uint64_t start = getTimeNsec();
-	uint64_t end   = getTimeNsec();
-	uint64_t prev  = getTimeNsec();
+	uint64_t start = timeHiRes();
+	uint64_t end   = timeHiRes();
+	uint64_t prev  = timeHiRes();
 	for(;;) {
 		submit_and_drain(&iov, batch);
-		end = getTimeNsec();
+		end = timeHiRes();
 		uint64_t delta = end - start;
 		if( to_fseconds(end - prev) > 0.1 ) {
Index: libcfa/src/clock.hfa
===================================================================
--- libcfa/src/clock.hfa	(revision e54d0c3b39cf17fa942d08e6d8a947f001db48d9)
+++ libcfa/src/clock.hfa	(revision 4aa495f3317335b1f6b22d4b6d99c667e394b18e)
@@ -10,6 +10,6 @@
 // Created On       : Thu Apr 12 14:36:06 2018
 // Last Modified By : Peter A. Buhr
-// Last Modified On : Wed Apr 14 17:48:25 2021
-// Update Count     : 20
+// Last Modified On : Sun Apr 18 08:12:16 2021
+// Update Count     : 28
 //
 
@@ -27,26 +27,27 @@
 //######################### Clock #########################
 
-struct Clock {											// private
-	Duration offset;									// for virtual clock: contains offset from real-time
+struct Clock {											// virtual clock
+	// private
+	Duration offset;									// offset from computer real-time
 };
 
 static inline {
-	void reset( Clock & clk, Duration adj ) with( clk ) {
+	void reset( Clock & clk, Duration adj ) with( clk ) { // change offset
 		offset = adj + __timezone`s;					// timezone (global) is (UTC - local time) in seconds
 	} // reset
 
-	void ?{}( Clock & clk ) { reset( clk, (Duration){ 0 } ); }
-	void ?{}( Clock & clk, Duration adj ) { reset( clk, adj ); }
+	void ?{}( Clock & clk ) { reset( clk, (Duration){ 0 } ); } // create no offset
+	void ?{}( Clock & clk, Duration adj ) { reset( clk, adj ); } // create with offset
 
 	// System-wide clock that measures real, i.e., wall-clock) time. This clock is affected by discontinuous jumps in
 	// the system time. For example, manual changes of the clock, and incremental adjustments performed by adjtime(3)
 	// and NTP (daylight saving (Fall back).
-	Duration resolutionNsec() {
+	Duration resolutionHi() {							// clock resolution in nanoseconds (fine)
 		struct timespec res;
 		clock_getres( CLOCK_REALTIME, &res );
 		return ((int64_t)res.tv_sec * TIMEGRAN + res.tv_nsec)`ns;
-	} // resolutionNsec
+	} // resolutionHi
 
-	Duration resolution() {
+	Duration resolution() {								// clock resolution without nanoseconds (coarse)
 		struct timespec res;
 		clock_getres( CLOCK_REALTIME_COARSE, &res );
@@ -54,11 +55,11 @@
 	} // resolution
 
-	Time timeNsec() {									// with nanoseconds
+	Time timeHiRes() {									// real time with nanoseconds
 		timespec curr;
 		clock_gettime( CLOCK_REALTIME, &curr );
 		return (Time){ curr };
-	} // timeNsec
+	} // timeHiRes
 
-	Time time() {										// without nanoseconds
+	Time time() {										// real time without nanoseconds
 		timespec curr;
 		clock_gettime( CLOCK_REALTIME_COARSE, &curr );
@@ -67,5 +68,5 @@
 	} // time
 
-	Time time( Clock & clk ) with( clk ) {
+	Time time( Clock & clk ) with( clk ) {				// real time for given clock
 		return time() + offset;
 	} // time
@@ -75,5 +76,5 @@
 	} // ?()
 
-	timeval time( Clock & clk ) {
+	timeval time( Clock & clk ) {						// convert to C time format
 		return (timeval){ clk() };
 	} // time
@@ -88,5 +89,5 @@
 	// discontinuous jumps when the OS is not running the kernal thread. A duration is returned because the value is
 	// relative and cannot be converted to real-time (wall-clock) time.
-	Duration processor() {
+	Duration processor() {								// non-monotonic duration of kernel thread
 		timespec ts;
 		clock_gettime( CLOCK_THREAD_CPUTIME_ID, &ts );
@@ -97,5 +98,5 @@
 	// watch is affected by discontinuous jumps when the OS is not running the kernel threads. A duration is returned
 	// because the value is relative and cannot be converted to real-time (wall-clock) time.
-	Duration program() {
+	Duration program() {								// non-monotonic duration of program CPU
 		timespec ts;
 		clock_gettime( CLOCK_PROCESS_CPUTIME_ID, &ts );
@@ -103,9 +104,9 @@
 	} // program
 
-	// Monotonic stopwatch starting at machine boot and includes system suspension. This watch is unaffected by
-	// discontinuous jumps resulting from manual changes of the clock, and incremental adjustments performed by
-	// adjtime(3) and NTP (Fall back). A duration is returned because the value is relative and cannot be converted to
-	// real-time (wall-clock) time.
-	Duration boot() {
+	// Monotonic duration from machine boot and including system suspension. This watch is unaffected by discontinuous
+	// jumps resulting from manual changes of the clock, and incremental adjustments performed by adjtime(3) and NTP
+	// (Fall back). A duration is returned because the value is relative and cannot be converted to real-time
+	// (wall-clock) time.
+	Duration boot() {									// monotonic duration since computer boot
 		timespec ts;
 		clock_gettime( CLOCK_BOOTTIME, &ts );
Index: tests/time.cfa
===================================================================
--- tests/time.cfa	(revision e54d0c3b39cf17fa942d08e6d8a947f001db48d9)
+++ tests/time.cfa	(revision 4aa495f3317335b1f6b22d4b6d99c667e394b18e)
@@ -10,6 +10,6 @@
 // Created On       : Tue Mar 27 17:24:56 2018
 // Last Modified By : Peter A. Buhr
-// Last Modified On : Thu Jun 18 18:14:49 2020
-// Update Count     : 37
+// Last Modified On : Fri Apr 16 14:59:53 2021
+// Update Count     : 38
 //
 
@@ -53,5 +53,5 @@
 	// 	 | "Newfoundland" | getTime( Newfoundland )
 	// 	 | "local" | getTime()
-	// 	 | "local nsec" | getTimeNsec()
+	// 	 | "local nsec" | timeHiRes()
 	// 	 | "PST" | PST();								// getTime short form
 	// sout | nl;
